--[dbo].[inserisciRichiestaStorico] 47,'S','SSTLCN46T54L331H','001594'
--select * from RichiestaPdfStorico truncate table RichiestaPdfStorico
CREATE procedure [dbo].[inserisciRichiestaStorico]
@identificativo as int,
@rete as char(1),
@cod_fiscale as varchar(16),
@cod_agente as varchar(6)
AS
BEGIN
declare @idMeta as int
declare @tempNomeFile as varchar(20)
set @tempNomeFile = cast(@identificativo as varchar)+'.pdf'
select @idMeta = idMetadato from RichiestaPdfStorico where idMetadato = @identificativo and Richiestaevasa = 0
if(isnull(@idMeta,0) <> @identificativo)
	insert into dbo.RichiestaPdfStorico(nomeFile,rete,cod_fiscale,cod_agente,richiestaEvasa,idMetadato)
	values (@tempNomeFile,@rete,@cod_fiscale,@cod_agente,0,@identificativo)
END